changeset in /hg/icedtea: 2008-02-07 Lillian Angel <langel at red...
Lillian Angel
langel at redhat.com
Thu May 29 14:11:40 PDT 2008
changeset be4fb2d0fe2c in /hg/icedtea
details: http://icedtea.classpath.org/hg/icedtea?cmd=changeset;node=be4fb2d0fe2c
description:
2008-02-07 Lillian Angel <langel at redhat.com>
* Makefile.in: Regenerate.
* acinclude.m4: Removed FIND_FREETYPE2 and CHECK_HEADERS block.
* configure: Regenerate.
* configure.ac: Added pkg-config check for all packages using
pkg-config.
diffstat:
5 files changed, 1006 insertions(+), 999 deletions(-)
ChangeLog | 8
Makefile.in | 19
acinclude.m4 | 25
configure | 1841 +++++++++++++++++++++++++++-------------------------------
configure.ac | 112 +++
diffs (truncated from 2271 to 500 lines):
diff -r 341e02e1aab6 -r be4fb2d0fe2c ChangeLog
--- a/ChangeLog Thu Feb 07 10:27:32 2008 -0500
+++ b/ChangeLog Thu Feb 07 13:19:13 2008 -0500
@@ -1,3 +1,11 @@ 2008-02-07 Joshua Sumali <jsumali at redh
+2008-02-07 Lillian Angel <langel at redhat.com>
+
+ * Makefile.in: Regenerate.
+ * acinclude.m4: Removed FIND_FREETYPE2 and CHECK_HEADERS block.
+ * configure: Regenerate.
+ * configure.ac: Added pkg-config check for all packages using
+ pkg-config.
+
2008-02-07 Joshua Sumali <jsumali at redhat.com>
* README: Updated NetX information.
diff -r 341e02e1aab6 -r be4fb2d0fe2c Makefile.in
--- a/Makefile.in Thu Feb 07 10:27:32 2008 -0500
+++ b/Makefile.in Thu Feb 07 13:19:13 2008 -0500
@@ -68,6 +68,8 @@ distuninstallcheck_listfiles = find . -t
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = @ACLOCAL@
+ALSA_CFLAGS = @ALSA_CFLAGS@
+ALSA_LIBS = @ALSA_LIBS@
ALT_OPENJDK_SRC_ZIP = @ALT_OPENJDK_SRC_ZIP@
AMTAR = @AMTAR@
AUTOCONF = @AUTOCONF@
@@ -98,7 +100,8 @@ EXEEXT = @EXEEXT@
EXEEXT = @EXEEXT@
FASTJAR = @FASTJAR@
FIND = @FIND@
-FREETYPE2_INC_DIR = @FREETYPE2_INC_DIR@
+FREETYPE2_CFLAGS = @FREETYPE2_CFLAGS@
+FREETYPE2_LIBS = @FREETYPE2_LIBS@
GAWK = @GAWK@
GLIB_CFLAGS = @GLIB_CFLAGS@
GLIB_LIBS = @GLIB_LIBS@
@@ -118,6 +121,8 @@ LDFLAGS = @LDFLAGS@
LDFLAGS = @LDFLAGS@
LIBGCJ_JAR = @LIBGCJ_JAR@
LIBOBJS = @LIBOBJS@
+LIBPNG_CFLAGS = @LIBPNG_CFLAGS@
+LIBPNG_LIBS = @LIBPNG_LIBS@
LIBS = @LIBS@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
@@ -145,9 +150,21 @@ SYSTEM_ICEDTEA_DIR = @SYSTEM_ICEDTEA_DIR
SYSTEM_ICEDTEA_DIR = @SYSTEM_ICEDTEA_DIR@
UNZIP = @UNZIP@
VERSION = @VERSION@
+X11_CFLAGS = @X11_CFLAGS@
+X11_LIBS = @X11_LIBS@
XALAN2_JAR = @XALAN2_JAR@
XALAN2_SERIALIZER_JAR = @XALAN2_SERIALIZER_JAR@
XERCES2_JAR = @XERCES2_JAR@
+XINERAMA_CFLAGS = @XINERAMA_CFLAGS@
+XINERAMA_LIBS = @XINERAMA_LIBS@
+XPROTO_CFLAGS = @XPROTO_CFLAGS@
+XPROTO_LIBS = @XPROTO_LIBS@
+XP_CFLAGS = @XP_CFLAGS@
+XP_LIBS = @XP_LIBS@
+XTST_CFLAGS = @XTST_CFLAGS@
+XTST_LIBS = @XTST_LIBS@
+XT_CFLAGS = @XT_CFLAGS@
+XT_LIBS = @XT_LIBS@
ZIP = @ZIP@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
diff -r 341e02e1aab6 -r be4fb2d0fe2c acinclude.m4
--- a/acinclude.m4 Thu Feb 07 10:27:32 2008 -0500
+++ b/acinclude.m4 Thu Feb 07 13:19:13 2008 -0500
@@ -487,31 +487,6 @@ AC_DEFUN([FIND_XERCES2_JAR],
AC_SUBST(XERCES2_JAR)
])
-AC_DEFUN([CHECK_HEADERS],
-[
- AC_CHECK_HEADERS([cups/cups.h cups/ppd.h],[],[AC_MSG_ERROR("CUPS headers were not found - try installing cups-devel.")])
- AC_CHECK_HEADERS([X11/X.h X11/Xproto.h],[],[AC_MSG_ERROR("xorg headers were not found - try installing xorg-x11-proto-devel.")])
- AC_CHECK_HEADERS([X11/Xlib.h X11/Xutil.h],[],[AC_MSG_ERROR("libX11 headers were not found - try installing libX11-devel.")])
- AC_CHECK_HEADERS([X11/Intrinsic.h X11/Shell.h X11/StringDefs.h],[],[AC_MSG_ERROR("libXt headers were not found - try installing libXt-devel.")])
- AC_CHECK_HEADERS(X11/extensions/Print.h,[],[AC_MSG_ERROR("libXp headers were not found - try installing libXp-devel.")])
- AC_CHECK_HEADERS([Xm/Xm.h Xm/XmP.h Xm/Display.h],[],[AC_MSG_ERROR("motif headers were not found - try installing lesstif-devel.")])
- AC_CHECK_HEADERS([alsa/asoundlib.h],[],[AC_MSG_ERROR("ALSA headers were not found - try installing alsa-lib-devel.")])
-])
-
-AC_DEFUN([FIND_FREETYPE],
-[
- AC_CHECK_LIB(freetype, FT_Init_FreeType, [], [AC_MSG_ERROR("Freetype not found - try installing freetype-devel")])
- AC_MSG_CHECKING(for freetype header directory)
- if test -d "/usr/include/freetype2"; then
- FREETYPE2_INC_DIR=/usr/include/freetype2
- AC_MSG_RESULT(${FREETYPE2_INC_DIR})
- else
- AC_MSG_RESULT(no)
- AC_MSG_ERROR("Freetype headers not found - try installing freetype-devel")
- fi
- AC_SUBST(FREETYPE2_INC_DIR)
-])
-
AC_DEFUN([ENABLE_FAST_BUILD],
[
AC_ARG_ENABLE([fast-build],
diff -r 341e02e1aab6 -r be4fb2d0fe2c configure
--- a/configure Thu Feb 07 10:27:32 2008 -0500
+++ b/configure Thu Feb 07 13:19:13 2008 -0500
@@ -733,7 +733,6 @@ XALAN2_JAR
XALAN2_JAR
XALAN2_SERIALIZER_JAR
XERCES2_JAR
-FREETYPE2_INC_DIR
USE_ALT_OPENJDK_SRC_ZIP_TRUE
USE_ALT_OPENJDK_SRC_ZIP_FALSE
ALT_OPENJDK_SRC_ZIP
@@ -750,6 +749,24 @@ GREP
GREP
EGREP
PKG_CONFIG
+XPROTO_CFLAGS
+XPROTO_LIBS
+XT_CFLAGS
+XT_LIBS
+XP_CFLAGS
+XP_LIBS
+X11_CFLAGS
+X11_LIBS
+XINERAMA_CFLAGS
+XINERAMA_LIBS
+LIBPNG_CFLAGS
+LIBPNG_LIBS
+XTST_CFLAGS
+XTST_LIBS
+FREETYPE2_CFLAGS
+FREETYPE2_LIBS
+ALSA_CFLAGS
+ALSA_LIBS
MOZILLA_CFLAGS
MOZILLA_LIBS
GLIB_CFLAGS
@@ -772,6 +789,24 @@ CCC
CCC
CPP
PKG_CONFIG
+XPROTO_CFLAGS
+XPROTO_LIBS
+XT_CFLAGS
+XT_LIBS
+XP_CFLAGS
+XP_LIBS
+X11_CFLAGS
+X11_LIBS
+XINERAMA_CFLAGS
+XINERAMA_LIBS
+LIBPNG_CFLAGS
+LIBPNG_LIBS
+XTST_CFLAGS
+XTST_LIBS
+FREETYPE2_CFLAGS
+FREETYPE2_LIBS
+ALSA_CFLAGS
+ALSA_LIBS
MOZILLA_CFLAGS
MOZILLA_LIBS
GLIB_CFLAGS
@@ -1400,6 +1435,30 @@ Some influential environment variables:
CXXFLAGS C++ compiler flags
CPP C preprocessor
PKG_CONFIG path to pkg-config utility
+ XPROTO_CFLAGS
+ C compiler flags for XPROTO, overriding pkg-config
+ XPROTO_LIBS linker flags for XPROTO, overriding pkg-config
+ XT_CFLAGS C compiler flags for XT, overriding pkg-config
+ XT_LIBS linker flags for XT, overriding pkg-config
+ XP_CFLAGS C compiler flags for XP, overriding pkg-config
+ XP_LIBS linker flags for XP, overriding pkg-config
+ X11_CFLAGS C compiler flags for X11, overriding pkg-config
+ X11_LIBS linker flags for X11, overriding pkg-config
+ XINERAMA_CFLAGS
+ C compiler flags for XINERAMA, overriding pkg-config
+ XINERAMA_LIBS
+ linker flags for XINERAMA, overriding pkg-config
+ LIBPNG_CFLAGS
+ C compiler flags for LIBPNG, overriding pkg-config
+ LIBPNG_LIBS linker flags for LIBPNG, overriding pkg-config
+ XTST_CFLAGS C compiler flags for XTST, overriding pkg-config
+ XTST_LIBS linker flags for XTST, overriding pkg-config
+ FREETYPE2_CFLAGS
+ C compiler flags for FREETYPE2, overriding pkg-config
+ FREETYPE2_LIBS
+ linker flags for FREETYPE2, overriding pkg-config
+ ALSA_CFLAGS C compiler flags for ALSA, overriding pkg-config
+ ALSA_LIBS linker flags for ALSA, overriding pkg-config
MOZILLA_CFLAGS
C compiler flags for MOZILLA, overriding pkg-config
MOZILLA_LIBS
@@ -6789,98 +6848,6 @@ echo "$as_me: error: \"A xerces2 jar was
fi
-
-
-{ echo "$as_me:$LINENO: checking for FT_Init_FreeType in -lfreetype" >&5
-echo $ECHO_N "checking for FT_Init_FreeType in -lfreetype... $ECHO_C" >&6; }
-if test "${ac_cv_lib_freetype_FT_Init_FreeType+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-lfreetype $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-
-/* Override any GCC internal prototype to avoid an error.
- Use char because int might match the return type of a GCC
- builtin and then its argument prototype would still apply. */
-#ifdef __cplusplus
-extern "C"
-#endif
-char FT_Init_FreeType ();
-int
-main ()
-{
-return FT_Init_FreeType ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_link") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest$ac_exeext &&
- $as_test_x conftest$ac_exeext; then
- ac_cv_lib_freetype_FT_Init_FreeType=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_cv_lib_freetype_FT_Init_FreeType=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
- conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_freetype_FT_Init_FreeType" >&5
-echo "${ECHO_T}$ac_cv_lib_freetype_FT_Init_FreeType" >&6; }
-if test $ac_cv_lib_freetype_FT_Init_FreeType = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBFREETYPE 1
-_ACEOF
-
- LIBS="-lfreetype $LIBS"
-
-else
- { { echo "$as_me:$LINENO: error: \"Freetype not found - try installing freetype-devel\"" >&5
-echo "$as_me: error: \"Freetype not found - try installing freetype-devel\"" >&2;}
- { (exit 1); exit 1; }; }
-fi
-
- { echo "$as_me:$LINENO: checking for freetype header directory" >&5
-echo $ECHO_N "checking for freetype header directory... $ECHO_C" >&6; }
- if test -d "/usr/include/freetype2"; then
- FREETYPE2_INC_DIR=/usr/include/freetype2
- { echo "$as_me:$LINENO: result: ${FREETYPE2_INC_DIR}" >&5
-echo "${ECHO_T}${FREETYPE2_INC_DIR}" >&6; }
- else
- { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
- { { echo "$as_me:$LINENO: error: \"Freetype headers not found - try installing freetype-devel\"" >&5
-echo "$as_me: error: \"Freetype headers not found - try installing freetype-devel\"" >&2;}
- { (exit 1); exit 1; }; }
- fi
-
-
-
{ echo "$as_me:$LINENO: checking openjdk source zip" >&5
echo $ECHO_N "checking openjdk source zip... $ECHO_C" >&6; }
@@ -7127,6 +7094,7 @@ echo "$as_me: error: hg program not foun
fi
+
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
@@ -7766,7 +7734,6 @@ done
-
for ac_header in cups/cups.h cups/ppd.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -7907,17 +7874,19 @@ if test `eval echo '${'$as_ac_Header'}'`
#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF
-else
- { { echo "$as_me:$LINENO: error: \"CUPS headers were not found - try installing cups-devel.\"" >&5
-echo "$as_me: error: \"CUPS headers were not found - try installing cups-devel.\"" >&2;}
+
+else
+ { { echo "$as_me:$LINENO: error: \"CUPS headers were not found -
+ try installing cups-devel.\"" >&5
+echo "$as_me: error: \"CUPS headers were not found -
+ try installing cups-devel.\"" >&2;}
{ (exit 1); exit 1; }; }
fi
done
-
-for ac_header in X11/X.h X11/Xproto.h
+for ac_header in X11/X.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
@@ -8057,9 +8026,12 @@ if test `eval echo '${'$as_ac_Header'}'`
#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF
-else
- { { echo "$as_me:$LINENO: error: \"xorg headers were not found - try installing xorg-x11-proto-devel.\"" >&5
-echo "$as_me: error: \"xorg headers were not found - try installing xorg-x11-proto-devel.\"" >&2;}
+
+else
+ { { echo "$as_me:$LINENO: error: \"xorg headers were not found -
+ try installing xorg-x11-proto-devel.\"" >&5
+echo "$as_me: error: \"xorg headers were not found -
+ try installing xorg-x11-proto-devel.\"" >&2;}
{ (exit 1); exit 1; }; }
fi
@@ -8067,7 +8039,8 @@ done
-for ac_header in X11/Xlib.h X11/Xutil.h
+
+for ac_header in Xm/Xm.h Xm/XmP.h Xm/Display.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
@@ -8207,774 +8180,25 @@ if test `eval echo '${'$as_ac_Header'}'`
#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF
-else
- { { echo "$as_me:$LINENO: error: \"libX11 headers were not found - try installing libX11-devel.\"" >&5
-echo "$as_me: error: \"libX11 headers were not found - try installing libX11-devel.\"" >&2;}
+
+else
+ { { echo "$as_me:$LINENO: error: \"motif headers were not found -
+ try installing lesstif-devel.\"" >&5
+echo "$as_me: error: \"motif headers were not found -
+ try installing lesstif-devel.\"" >&2;}
{ (exit 1); exit 1; }; }
fi
done
-
-
-for ac_header in X11/Intrinsic.h X11/Shell.h X11/StringDefs.h
-do
-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
- { echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+{ echo "$as_me:$LINENO: checking for main in -ljpeg" >&5
+echo $ECHO_N "checking for main in -ljpeg... $ECHO_C" >&6; }
+if test "${ac_cv_lib_jpeg_main+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-ac_res=`eval echo '${'$as_ac_Header'}'`
- { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
-else
- # Is the header compilable?
-{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-$ac_includes_default
-#include <$ac_header>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_compile") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest.$ac_objext; then
- ac_header_compiler=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_header_compiler=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6; }
-
-# Is the header present?
-{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-#include <$ac_header>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null && {
- test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
- test ! -s conftest.err
- }; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_header_preproc=no
-fi
-
-rm -f conftest.err conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6; }
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
- yes:no: )
- { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
- ac_header_preproc=yes
- ;;
- no:yes:* )
- { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
-echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
More information about the distro-pkg-dev
mailing list